---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  creationTimestamp: "2025-10-27T11:31:16Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:groups:
          .: {}
          k:{"name":"apiserver-requests-in-flight"}:
            .: {}
            f:name: {}
            f:rules: {}
    manager: cluster-kube-apiserver-operator
    operation: Update
    time: "2025-10-27T11:31:16Z"
  name: kube-apiserver-requests
  namespace: openshift-kube-apiserver
  resourceVersion: "7411"
  uid: 477fcaa0-3f95-4ce7-ac00-d2e66cfecc70
spec:
  groups:
  - name: apiserver-requests-in-flight
    rules:
    - expr: |
        max_over_time(sum(apiserver_current_inflight_requests{apiserver=~"openshift-apiserver|kube-apiserver"}) by (apiserver,requestKind)[2m:])
      record: cluster:apiserver_current_inflight_requests:sum:max_over_time:2m
